"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _DocumentSnapshot = _interopRequireDefault(require("./DocumentSnapshot"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * @class DocumentChange
 */
class DocumentChange {
  constructor(firestore, nativeData) {
    _defineProperty(this, "_document", void 0);

    _defineProperty(this, "_newIndex", void 0);

    _defineProperty(this, "_oldIndex", void 0);

    _defineProperty(this, "_type", void 0);

    this._document = new _DocumentSnapshot.default(firestore, nativeData.document);
    this._newIndex = nativeData.newIndex;
    this._oldIndex = nativeData.oldIndex;
    this._type = nativeData.type;
  }

  get doc() {
    return this._document;
  }

  get newIndex() {
    return this._newIndex;
  }

  get oldIndex() {
    return this._oldIndex;
  }

  get type() {
    return this._type;
  }

}

exports.default = DocumentChange;