"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * AndroidChannelGroup representation wrapper
 */
class AndroidChannelGroup {
  constructor(groupId, name) {
    _defineProperty(this, "_groupId", void 0);

    _defineProperty(this, "_name", void 0);

    this._groupId = groupId;
    this._name = name;
  }

  get groupId() {
    return this._groupId;
  }

  get name() {
    return this._name;
  }

  build() {
    if (!this._groupId) {
      throw new Error('AndroidChannelGroup: Missing required `groupId` property');
    } else if (!this._name) {
      throw new Error('AndroidChannelGroup: Missing required `name` property');
    }

    return {
      groupId: this._groupId,
      name: this._name
    };
  }

}

exports.default = AndroidChannelGroup;