"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * 
 * EmailAuthProvider representation wrapper
 */
const providerId = 'google.com';

class GoogleAuthProvider {
  constructor() {
    throw new Error('`new GoogleAuthProvider()` is not supported on the native Firebase SDKs.');
  }

  static get PROVIDER_ID() {
    return providerId;
  }

  static credential(token, secret) {
    return {
      token,
      secret,
      providerId
    };
  }

}

exports.default = GoogleAuthProvider;