"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * 
 * OAuthProvider representation wrapper
 */
const providerId = 'oauth';

class OAuthProvider {
  constructor() {
    throw new Error('`new OAuthProvider()` is not supported on the native Firebase SDKs.');
  }

  static get PROVIDER_ID() {
    return providerId;
  }

  static credential(idToken, accessToken) {
    return {
      token: idToken,
      secret: accessToken,
      providerId
    };
  }

}

exports.default = OAuthProvider;