"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * 
 * PhoneAuthProvider representation wrapper
 */
const providerId = 'phone';

class PhoneAuthProvider {
  constructor() {
    throw new Error('`new PhoneAuthProvider()` is not supported on the native Firebase SDKs.');
  }

  static get PROVIDER_ID() {
    return providerId;
  }

  static credential(verificationId, code) {
    return {
      token: verificationId,
      secret: code,
      providerId
    };
  }

}

exports.default = PhoneAuthProvider;