"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 * 
 * TwitterAuthProvider representation wrapper
 */
const providerId = 'twitter.com';

class TwitterAuthProvider {
  constructor() {
    throw new Error('`new TwitterAuthProvider()` is not supported on the native Firebase SDKs.');
  }

  static get PROVIDER_ID() {
    return providerId;
  }

  static credential(token, secret) {
    return {
      token,
      secret,
      providerId
    };
  }

}

exports.default = TwitterAuthProvider;