"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * ITunesParameters representation wrapper
 */
class ITunesParameters {
  constructor(link) {
    _defineProperty(this, "_affiliateToken", void 0);

    _defineProperty(this, "_campaignToken", void 0);

    _defineProperty(this, "_link", void 0);

    _defineProperty(this, "_providerToken", void 0);

    this._link = link;
  }
  /**
   *
   * @param affiliateToken
   * @returns {DynamicLink}
   */


  setAffiliateToken(affiliateToken) {
    this._affiliateToken = affiliateToken;
    return this._link;
  }
  /**
   *
   * @param campaignToken
   * @returns {DynamicLink}
   */


  setCampaignToken(campaignToken) {
    this._campaignToken = campaignToken;
    return this._link;
  }
  /**
   *
   * @param providerToken
   * @returns {DynamicLink}
   */


  setProviderToken(providerToken) {
    this._providerToken = providerToken;
    return this._link;
  }

  build() {
    return {
      affiliateToken: this._affiliateToken,
      campaignToken: this._campaignToken,
      providerToken: this._providerToken
    };
  }

}

exports.default = ITunesParameters;