"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * NavigationParameters representation wrapper
 */
class NavigationParameters {
  constructor(link) {
    _defineProperty(this, "_forcedRedirectEnabled", void 0);

    _defineProperty(this, "_link", void 0);

    this._link = link;
  }
  /**
   *
   * @param forcedRedirectEnabled
   * @returns {DynamicLink}
   */


  setForcedRedirectEnabled(forcedRedirectEnabled) {
    this._forcedRedirectEnabled = forcedRedirectEnabled;
    return this._link;
  }

  build() {
    return {
      forcedRedirectEnabled: this._forcedRedirectEnabled
    };
  }

}

exports.default = NavigationParameters;