"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * 
 * SocialParameters representation wrapper
 */
class SocialParameters {
  constructor(link) {
    _defineProperty(this, "_descriptionText", void 0);

    _defineProperty(this, "_imageUrl", void 0);

    _defineProperty(this, "_link", void 0);

    _defineProperty(this, "_title", void 0);

    this._link = link;
  }
  /**
   *
   * @param descriptionText
   * @returns {DynamicLink}
   */


  setDescriptionText(descriptionText) {
    this._descriptionText = descriptionText;
    return this._link;
  }
  /**
   *
   * @param imageUrl
   * @returns {DynamicLink}
   */


  setImageUrl(imageUrl) {
    this._imageUrl = imageUrl;
    return this._link;
  }
  /**
   *
   * @param title
   * @returns {DynamicLink}
   */


  setTitle(title) {
    this._title = title;
    return this._link;
  }

  build() {
    return {
      descriptionText: this._descriptionText,
      imageUrl: this._imageUrl,
      title: this._title
    };
  }

}

exports.default = SocialParameters;