"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _native = require("../../utils/native");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class IOSNotifications {
  constructor(notifications) {
    _defineProperty(this, "_backgroundFetchResult", void 0);

    _defineProperty(this, "shouldAutoComplete", void 0);

    this.shouldAutoComplete = true;
    const nativeModule = (0, _native.getNativeModule)(notifications);
    this._backgroundFetchResult = {
      noData: nativeModule.backgroundFetchResultNoData,
      newData: nativeModule.backgroundFetchResultNewData,
      failure: nativeModule.backgroundFetchResultFailure
    };
  }

  get backgroundFetchResult() {
    return _objectSpread({}, this._backgroundFetchResult);
  }

}

exports.default = IOSNotifications;